//CityPlanning application

Ext.Loader.setConfig({
  enabled : true
  // ,disableCaching : false
});
 
Ext.application({
 
  name: 'CityPlanning',
  appFolder: 'app',
  
  controllers: [ 'Reports', 'Navigation', 'Mapping' ],
 
  launch: function() {
    Ext.create('Ext.container.Viewport', {     //Viewport
      layout: 'border',
      padding: 10,
      items: [{
        xtype: 'locations',     //Locations View
        layout: 'fit',
        region: 'center'
      },{
        xtype: 'panel',
        name: 'south-panel',
        title: "Citizen's Reports",
        layout: 'border',
        region: 'south',
        minHeight: 200,
        maxHeight: 400,
        split: true,
        collapsible: true,
        height: 250,
        items : [{
          xtype: 'closeup',     //CloseUp View
          width : 250,
          region: 'west',
          margins: 2
        },{
          xtype: 'reportslist',     //ReportsList View
          region: 'center',
          padding: '2 0 2 0'
        },{
          xtype: 'panel',     //Panorama View
          width : 250,
          region: 'east',
          margins: 2
        }]
      }]
    });
 
    cityApp = this;
    OpenLayers.IMAGE_RELOAD_ATTEMPTS = 3;
  }
 
});
//-----