//Citizen reports model
Ext.define('CityPlanning.model.CitizenReport', {
  extend: 'Ext.data.Model',
  fields: [
    { name: 'reportId', type: 'int' },
    { name: 'title', type: 'string' },
    { name: 'lon', type: 'float' },
    { name: 'lat', type: 'float' },
    { name: 'reportType', type: 'string' },
    { name: 'city', type: 'string' },
    { name: 'description', type: 'string' },
    { name: 'reportDate', type: 'date', dateFormat: 'j/n/Y' },
    { name: 'status', type: 'string' }
  ],
  idProperty: 'reportId'
});